** PLEASE READ THIS BEFORE FILING AN ISSUE **

## Feature Requests

> If you're interested in requesting a new component or proposing UX changes to an existing
> component, please read our [Component Request Policy](https://github.com/material-components/material-components/blob/develop/COMPONENTS_REQUEST_POLICY.md) before opening an issue.

If you have an idea for a new feature, we'd love to hear about it! Please provide enough
information regarding the feature such that we'll be able to evaluate the appropriateness and
feasibility of your request. Try to be as specific as possible regarding your motivation, use-case,
and potential API or affects on other APIs (where applicable). The more detailed your proposal is,
the easier it will be for us to understand and evaluate it. [This Meta.SE answer](http://meta.stackexchange.com/a/259196) also contains great general guidelines for writing
feature requests.

If you'd like to work on a component, please ensure that you *submit an Engineering Outline before
submitting a pull request*. You can read more about this in our [contributing docs](https://github.com/material-components/material-components-web/blob/master/CONTRIBUTING.md#building-components).

MDC Web is still under active development. You can see our current progress on [master](https://github.com/material-components/material-components-web/tree/master) as well as an overview of our [architecture and practices](https://github.com/material-components/material-components-web/blob/master/docs/code).

If you're interested in information for a specific component, check out our [component issues](https://github.com/material-components/material-components-web/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3Av2-component) to see which milestone it's associated with and subscribe to updates to it. If an issue has the `in-tracker` label, you can also take a look at our [public Pivotal Tracker](https://www.pivotaltracker.com/n/projects/1664011) for a rough estimate of when we'll get to it.

Our team prioritizes responding to as many engineering and user experience questions as possible. We do not support responses to questions outside of these areas at this time.

## Bugs

Follow the template below to ensure the quickest and most accurate response to your issue.

### What MDC Web Version are you using?

> Please be specific, e.g. _major.minor.patch_

### What browser(s) is this bug affecting?

> Please include the browser version. A user-agent string is also quite helpful.

### What OS are you using?

> Please include the OS version.

### What are the steps to reproduce the bug?

> Please write the steps which need to be taken in order to reproduce the bug. These steps should be
> as detailed as possible, e.g.
>
> 1. Run the demo server
> 2. Go to localhost:8080/textfield.html
> 3. Tab-focus on the first text field
> 4. Observe the component's behavior
>
> We also have a [template on CodePen](http://codepen.io/traviskaufman/pen/pNQmRp) which we encourage you to use to create a reproduction of
> the issue. The less time it takes for us to repro the issue, the less time it takes to verify and
> fix it!

### What is the expected behavior?

> Please describe what the component/code should be doing that it's not.

### What is the actual behavior?

> Please describe what the component/code is actually doing that's different from what it should be
doing.

### Any other information you believe would be useful?
